Page MenuHomePhabricator

run-tests: fix whitelist/blacklist with directories on Windows
ClosedPublic

Authored by mharbison72 on May 7 2021, 12:01 AM.

Details

Reviewers
Alphare
Group Reviewers
hg-reviewers
Summary

The file name is resolved with os.path.relpath() in the Test constructor,
which yields \ on Windows. That doesn't match the / separator when using
MSYS tools to build the list, and it isn't obvious that this is the problem
because directory separators can mostly be used interchangeably. The
--test-list argument already seems to be properly handled.

Diff Detail

Repository
rHG Mercurial
Branch
stable
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

mharbison72 created this revision.May 7 2021, 12:01 AM

Should we fix the handling of that list in run-tests.py instead ?

Should we fix the handling of that list in run-tests.py instead ?

Not sure what you're asking- this is run-test.py. I think any sys.argv input is assigned to a Test, and so they get run through os.path.relpath(). This just normalizes the input from files to match.

Alphare accepted this revision.May 17 2021, 3:58 AM
This revision is now accepted and ready to land.May 17 2021, 3:58 AM

It looks like this never landed.

Whoops, sorry!

mharbison72 closed this revision.Jul 9 2021, 11:31 AM

This landed as dff19fe2973c, but lacked the Differential URL in the commit comment somehow. It may have gotten pulled off of the Windows CI work on heptapod.